% Liu Xingsi <liu_xingsi@u.nus.edu>
% National University of Singapore
% Created for: Relative-phase simulated annealing lenses design (2022)
function p = Proba(FOM,FOM_next,T,P)
    delta_F = FOM_next-FOM;
    if(delta_F < 0)
        p = 2-2/(1+ exp(P.weight*(delta_F)/T/100));
    else
        p = 1;
    end
end