% Liu Xingsi <liu_xingsi@u.nus.edu>
% National University of Singapore
% Created for: Relative-phase simulated annealing lenses design (2022)
function rho_new = find_neighbour_rand(rho, P, epoch)
    rho_new = rho;
    orig_rho_idx=P.p_rand(mod(epoch,P.lambda_n)+1);
    orig_rho=rho_new(orig_rho_idx);
    if rand()>0.5
        rho_new(orig_rho_idx) = max(min(orig_rho+round((P.plvl_n-rho_new(orig_rho_idx))*rand),round(P.plvl_n)),0);
    else
        rho_new(orig_rho_idx) = max(min(orig_rho-round((rho_new(orig_rho_idx))*rand),round(P.plvl_n)),0);
    end
end