% Liu Xingsi <liu_xingsi@u.nus.edu>
% National University of Singapore
% Created for: Relative-phase simulated annealing lenses design (2022)
%% calculate parameters
if(P.lambda_n>1)
    P.lambda = lambda_min:(lambda_max-lambda_min)/(P.lambda_n-1):lambda_max; %frequency
else
    P.lambda = lambda_min; %frequency
end
P.lambda = round(P.lambda,10);
P.ng=P.ng-P.lambda*0;
%% initiate algorithm
epoch = 1;
f_best=-100;
FOM_b4=-100;
%% 
rand_idx = 1:P.lambda_n;
P.p_rand = rand_idx(randperm(P.lambda_n));
p_init =round(rand(P.lambda_n,1)*P.hlvl_n);
p_dist = p_init;
%% 
x1=P.unit_size/2:P.unit_size:P.unit_n/2*P.unit_size;
h_init=P.gh/P.hlvl_n;
rho=0:P.hlvl_n;
fx=rho'*h_init*(P.ng(1)-1)+sqrt(P.FL^2+x1.^2)-P.FL+P.gh;% level*radius 17*761
%% initiate FOM
F_min_all=zeros(epoch_max,1); %define FOM
F_max_all=zeros(epoch_max,1); %define FOM

